--[[
	##AddOn	  : CooldownIcons R(evamped)
	##Subfile : options.lua
	##Author  : Hati ( xhatix @ curseforge.com )
--]]
local CIR = CooldownIconsR
local db = CIR.db
CIR.Options = {
	type='group',
	name="CooldownIcons R(evamped)",
	handler = CIR,
	args = {
		global_settings={
			type = 'group',
			childGroups='tab',
			name = "Global Settings",
			order = 1,
			args={
			}
		},
		icon_settings={
			type='group',
			name='Icon Settings',
			childGroups='select',order=2,
			width='double',
			args={
			}
		}
	}
}


function CIR:InitOptions()
	LibStub('AceConfig-3.0'):RegisterOptionsTable( 'CooldownIcons_Revamped', self.Options)
	local ACD = LibStub( 'AceConfigDialog-3.0')
	ACD:SetDefaultSize(self.name, 1000,800)
	self.Options.args.global_settings.args = self.get_global_settings()	
	self.Options.args.icon_settings.args = self.get_icon_settings()
	--for k,v in pairs(CIR.db.char.icondb) do)
	--end
	--[[self.OptionsPanel = ACD:AddToBlizOptions(self.name, "CooldownIcons R", nil, "global_layout")]]
end

function CIR:ReconstructIcons()
	for k,v in pairs(CIR.db.char.icondb) do
		--print("["..k.."] = "..tostring(v))
		CIR:add_icon_settings(k,v.iDisplayName)
		CIR:CreateIcon(k)
		CIR:ProcessScriptForIcon(v.script,CIR.icons[k])
	end
end
